<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZExpansion: DayzExpansion/Vehicles/Scripts/4_world/dayzexpansion_vehicles/classes/vehicles/expansionvehicleattachmentsave.c Source File</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZExpansion<span id="projectnumber">&#160;1.7.17</span>
   </div>
   <div id="projectbrief">DayZExpansion Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('d0/d08/a02936_source.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="headertitle"><div class="title">expansionvehicleattachmentsave.c</div></div>
</div><!--header-->
<div class="contents">
<a href="../../d0/d08/a02936.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a id="l00001" name="l00001"></a><span class="lineno">    1</span><span class="comment">/*</span></div>
<div class="line"><a id="l00002" name="l00002"></a><span class="lineno">    2</span><span class="comment"> * ExpansionVehicleAttachmentSave.c</span></div>
<div class="line"><a id="l00003" name="l00003"></a><span class="lineno">    3</span><span class="comment"> *</span></div>
<div class="line"><a id="l00004" name="l00004"></a><span class="lineno">    4</span><span class="comment"> * DayZ Expansion Mod</span></div>
<div class="line"><a id="l00005" name="l00005"></a><span class="lineno">    5</span><span class="comment"> * www.dayzexpansion.com</span></div>
<div class="line"><a id="l00006" name="l00006"></a><span class="lineno">    6</span><span class="comment"> * © 2022 DayZ Expansion Mod Team</span></div>
<div class="line"><a id="l00007" name="l00007"></a><span class="lineno">    7</span><span class="comment"> *</span></div>
<div class="line"><a id="l00008" name="l00008"></a><span class="lineno">    8</span><span class="comment"> * This work is licensed under the Creative Commons Attribution-NonCommercial-NoDerivatives 4.0 International License. </span></div>
<div class="line"><a id="l00009" name="l00009"></a><span class="lineno">    9</span><span class="comment"> * To view a copy of this license, visit http://creativecommons.org/licenses/by-nc-nd/4.0/.</span></div>
<div class="line"><a id="l00010" name="l00010"></a><span class="lineno">   10</span><span class="comment"> *</span></div>
<div class="line"><a id="l00011" name="l00011"></a><span class="lineno">   11</span><span class="comment">*/</span></div>
<div class="line"><a id="l00012" name="l00012"></a><span class="lineno">   12</span> </div>
<div class="line"><a id="l00013" name="l00013"></a><span class="lineno"><a class="line" href="../../d6/d83/a07514.html">   13</a></span><span class="keyword">class </span><a class="code hl_class" href="../../d6/d83/a07514.html">ExpansionVehicleAttachmentSave</a></div>
<div class="line"><a id="l00014" name="l00014"></a><span class="lineno">   14</span>{</div>
<div class="line"><a id="l00015" name="l00015"></a><span class="lineno"><a class="line" href="../../d6/d83/a07514.html#a6f9f68a6f584071b0abb06073578430d">   15</a></span>    vector <a class="code hl_variable" href="../../d6/d83/a07514.html#a6f9f68a6f584071b0abb06073578430d">m_Position</a>;</div>
<div class="line"><a id="l00016" name="l00016"></a><span class="lineno"><a class="line" href="../../d6/d83/a07514.html#a9dd4b6bb17a9883995697a2e7ac2e39d">   16</a></span>    vector <a class="code hl_variable" href="../../d6/d83/a07514.html#a9dd4b6bb17a9883995697a2e7ac2e39d">m_Orientation</a>;</div>
<div class="line"><a id="l00017" name="l00017"></a><span class="lineno">   17</span> </div>
<div class="line"><a id="l00018" name="l00018"></a><span class="lineno"><a class="line" href="../../d6/d83/a07514.html#a0c978e5c1200afafc4a97dd467962700">   18</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../d6/d83/a07514.html#a0c978e5c1200afafc4a97dd467962700">ExpansionVehicleAttachmentSave</a>(vector <a class="code hl_variable" href="../../d9/dd6/a02441.html#a764a35c2d73b3fff21cd85b6baf13df4">position</a> = vector.Zero, vector orientation = vector.Zero)</div>
<div class="line"><a id="l00019" name="l00019"></a><span class="lineno">   19</span>    {</div>
<div class="line"><a id="l00020" name="l00020"></a><span class="lineno">   20</span>        <a class="code hl_variable" href="../../d6/d83/a07514.html#a6f9f68a6f584071b0abb06073578430d">m_Position</a> = <a class="code hl_variable" href="../../d9/dd6/a02441.html#a764a35c2d73b3fff21cd85b6baf13df4">position</a>;</div>
<div class="line"><a id="l00021" name="l00021"></a><span class="lineno">   21</span>        <a class="code hl_variable" href="../../d6/d83/a07514.html#a9dd4b6bb17a9883995697a2e7ac2e39d">m_Orientation</a> = orientation;</div>
<div class="line"><a id="l00022" name="l00022"></a><span class="lineno">   22</span>    }</div>
<div class="line"><a id="l00023" name="l00023"></a><span class="lineno">   23</span> </div>
<div class="line"><a id="l00024" name="l00024"></a><span class="lineno">   24</span><span class="preprocessor">#ifdef EXPANSION_MODSTORAGE</span></div>
<div class="line"><a id="l00025" name="l00025"></a><span class="lineno">   25</span>    <span class="keywordtype">void</span> OnWrite(CF_ModStorage ctx)</div>
<div class="line"><a id="l00026" name="l00026"></a><span class="lineno">   26</span>    {</div>
<div class="line"><a id="l00027" name="l00027"></a><span class="lineno">   27</span>        ctx.Write(<a class="code hl_variable" href="../../d6/d83/a07514.html#a6f9f68a6f584071b0abb06073578430d">m_Position</a>);</div>
<div class="line"><a id="l00028" name="l00028"></a><span class="lineno">   28</span>        ctx.Write(<a class="code hl_variable" href="../../d6/d83/a07514.html#a9dd4b6bb17a9883995697a2e7ac2e39d">m_Orientation</a>);</div>
<div class="line"><a id="l00029" name="l00029"></a><span class="lineno">   29</span>    }</div>
<div class="line"><a id="l00030" name="l00030"></a><span class="lineno">   30</span> </div>
<div class="line"><a id="l00031" name="l00031"></a><span class="lineno">   31</span>    <span class="keywordtype">bool</span> OnRead(CF_ModStorage ctx)</div>
<div class="line"><a id="l00032" name="l00032"></a><span class="lineno">   32</span>    {</div>
<div class="line"><a id="l00033" name="l00033"></a><span class="lineno">   33</span>        <span class="keywordflow">if</span> (!ctx.Read(<a class="code hl_variable" href="../../d6/d83/a07514.html#a6f9f68a6f584071b0abb06073578430d">m_Position</a>))</div>
<div class="line"><a id="l00034" name="l00034"></a><span class="lineno">   34</span>            <span class="keywordflow">return</span> <span class="keyword">false</span>;</div>
<div class="line"><a id="l00035" name="l00035"></a><span class="lineno">   35</span>            </div>
<div class="line"><a id="l00036" name="l00036"></a><span class="lineno">   36</span>        <span class="keywordflow">if</span> (!ctx.Read(<a class="code hl_variable" href="../../d6/d83/a07514.html#a9dd4b6bb17a9883995697a2e7ac2e39d">m_Orientation</a>))</div>
<div class="line"><a id="l00037" name="l00037"></a><span class="lineno">   37</span>            <span class="keywordflow">return</span> <span class="keyword">false</span>;</div>
<div class="line"><a id="l00038" name="l00038"></a><span class="lineno">   38</span> </div>
<div class="line"><a id="l00039" name="l00039"></a><span class="lineno">   39</span>        <span class="keywordflow">return</span> <span class="keyword">true</span>;</div>
<div class="line"><a id="l00040" name="l00040"></a><span class="lineno">   40</span>    }</div>
<div class="line"><a id="l00041" name="l00041"></a><span class="lineno">   41</span><span class="preprocessor">#endif</span></div>
<div class="line"><a id="l00042" name="l00042"></a><span class="lineno">   42</span>};</div>
<div class="ttc" id="aa02441_html_a764a35c2d73b3fff21cd85b6baf13df4"><div class="ttname"><a href="../../d9/dd6/a02441.html#a764a35c2d73b3fff21cd85b6baf13df4">position</a></div><div class="ttdeci">vector position</div><div class="ttdef"><b>Definition:</b> <a href="../../d9/dd6/a02441_source.html#l00020">expansioninteriorbuildingmodule.c:20</a></div></div>
<div class="ttc" id="aa07514_html"><div class="ttname"><a href="../../d6/d83/a07514.html">ExpansionVehicleAttachmentSave</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d0/d08/a02936_source.html#l00013">expansionvehicleattachmentsave.c:14</a></div></div>
<div class="ttc" id="aa07514_html_a0c978e5c1200afafc4a97dd467962700"><div class="ttname"><a href="../../d6/d83/a07514.html#a0c978e5c1200afafc4a97dd467962700">ExpansionVehicleAttachmentSave::ExpansionVehicleAttachmentSave</a></div><div class="ttdeci">void ExpansionVehicleAttachmentSave(vector position=vector.Zero, vector orientation=vector.Zero)</div><div class="ttdef"><b>Definition:</b> <a href="../../d0/d08/a02936_source.html#l00018">expansionvehicleattachmentsave.c:18</a></div></div>
<div class="ttc" id="aa07514_html_a6f9f68a6f584071b0abb06073578430d"><div class="ttname"><a href="../../d6/d83/a07514.html#a6f9f68a6f584071b0abb06073578430d">ExpansionVehicleAttachmentSave::m_Position</a></div><div class="ttdeci">vector m_Position</div><div class="ttdef"><b>Definition:</b> <a href="../../d0/d08/a02936_source.html#l00015">expansionvehicleattachmentsave.c:15</a></div></div>
<div class="ttc" id="aa07514_html_a9dd4b6bb17a9883995697a2e7ac2e39d"><div class="ttname"><a href="../../d6/d83/a07514.html#a9dd4b6bb17a9883995697a2e7ac2e39d">ExpansionVehicleAttachmentSave::m_Orientation</a></div><div class="ttdeci">vector m_Orientation</div><div class="ttdef"><b>Definition:</b> <a href="../../d0/d08/a02936_source.html#l00016">expansionvehicleattachmentsave.c:16</a></div></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../dir_6127fff2da0a20e2dc2cd9302c584350.html">DayzExpansion</a></li><li class="navelem"><a class="el" href="../../dir_403148263ee4e8f0781f7c219c37e738.html">Vehicles</a></li><li class="navelem"><a class="el" href="../../dir_73552948bc6e6c947ae98efa6ef1fc72.html">Scripts</a></li><li class="navelem"><a class="el" href="../../dir_c3648096b79390b8f298110e534a6ba9.html">4_world</a></li><li class="navelem"><a class="el" href="../../dir_0df2f0f75bfab0aa29ae62af7848909b.html">dayzexpansion_vehicles</a></li><li class="navelem"><a class="el" href="../../dir_9d8a725e685d7e2e79ef3720909cf5b7.html">classes</a></li><li class="navelem"><a class="el" href="../../dir_393b2e36bc148280031a7e7525136b1f.html">vehicles</a></li><li class="navelem"><a class="el" href="../../d0/d08/a02936.html">expansionvehicleattachmentsave.c</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
